AM261x MCU+ SDK: CpswAle_VlanEntryInfo Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CpswAle_VlanEntryInfo Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Forwarding Database (FDB) » CPSW Address Lookup Engine (ALE)

## Detailed Description

VLAN entry type info.

## Data Fields
CpswAle_VlanIdInfo | vlanIdInfo
uint32_t | vlanMemberList
uint32_t | unregMcastFloodMask
uint32_t | regMcastFloodMask
uint32_t | forceUntaggedEgressMask
uint32_t | noLearnMask
bool | vidIngressCheck
bool | limitIPNxtHdr
bool | disallowIPFrag

## Field Documentation

## ◆ vlanIdInfo

CpswAle_VlanIdInfo CpswAle_VlanEntryInfo::vlanIdInfo

VLAN id / VLAN type to be added

## ◆ vlanMemberList

uint32_t CpswAle_VlanEntryInfo::vlanMemberList

Port member mask for the VLAN entry being added

## ◆ unregMcastFloodMask

uint32_t CpswAle_VlanEntryInfo::unregMcastFloodMask

Unregistered multicast flood mask - Mask used for multicast when the multicast address is not found

## ◆ regMcastFloodMask

uint32_t CpswAle_VlanEntryInfo::regMcastFloodMask

Registered multicast flood mask - Mask used for multicast when the multicast address is found

## ◆ forceUntaggedEgressMask

uint32_t CpswAle_VlanEntryInfo::forceUntaggedEgressMask

Force untagged egress bit flags - Causes the packet VLAN tag to be removed on egress

## ◆ noLearnMask

uint32_t CpswAle_VlanEntryInfo::noLearnMask

VLAN No Learn Mask - When a bit is set in this mask, a packet with an unknown source address received on the associated port will not be learned (i.e. When a VLAN packet is received and the source address is not in the table, the source address will not be added to the table)

## ◆ vidIngressCheck

bool CpswAle_VlanEntryInfo::vidIngressCheck

VLAN Ingress Check - When set, if the receive port is not a member of this VLAN then the packet is dropped

## ◆ limitIPNxtHdr

bool CpswAle_VlanEntryInfo::limitIPNxtHdr

Limit IP NXT hdr field - When set IP packets only with configured NXTHDR will be allowed

See also
  CpswAle_IPPktSecurityCfg

## ◆ disallowIPFrag

bool CpswAle_VlanEntryInfo::disallowIPFrag

VLAN No IPv4 Fragmented frames Control - Causes IPv4 fragmented IP frames to be dropped